Can't ignore Kodi update

I don’t want Kodi to get updated so I added it to the pacman.conf to be ignored.
Kodi 19 is way too buggy and many addons wont work any more…

When I try updating with Trizen or pacman I get an error.

$ sudo pacman -Syu
:: Pakket-databases synchroniseren...
 core is up-to-date
 extra is up-to-date
 community is up-to-date
 multilib is up-to-date
 endeavouros is up-to-date
 kernel-lts is up-to-date
:: Volledige systeemsupgrade starten...
waarschuwing:pakket-vervanging wordt genegeerd (kodi-18.9-3 => kodi-gbm-19.0-6)
waarschuwing:pakket-vervanging wordt genegeerd (kodi-18.9-3 => kodi-wayland-19.0-6)
waarschuwing:pakket-vervanging wordt genegeerd (kodi-18.9-3 => kodi-x11-19.0-6)
afhankelijkheden oplossen...
zoeken naar conflicterende pakketten...
fout:fout bij het voorbereiden van transactie (kan niet aan afhankelijkheden voldoen)
:: installeren van kodi-x11 (19.0-6) doorbreekt afhankelijkheid 'KODI-BIN' vereist door kodi

meaning: installing Kodi breaks dependency KODI_BIN, required by kodi.

The only thing I have installed now is kodi-x11

Funny thing is that pamac ignores this package just fine.

What did you add? Just “kodi” or each of the replacement packages?

1 Like

Just kodi.

what:

pacman -Qs kodi

then :wink:

Hmm, I accidentally updated to kodi 19…:joy:
I had to reorganize everything from scratch.

But I’ll keep it like it is now.

1 Like
$ pacman -Qs kodi
local/kodi-common 19.0-6
    A software media player and entertainment hub for digital media
local/kodi-x11 19.0-6
    x11 kodi binary
local/p8-platform 2.1.0.1-4
    Platform support library used by libCEC and binary add-ons for Kodi

Don’t know why kodi-bin has anything to do with it.

to ignore it you have to put all 3 on ignoring list

Okay, maybe next time. :+1:t2:

I cannot confirm the first part of your statement.

To the second part :
I updated to Kodi 19 (Matrix) the moment it was available. Indeed a lot of addons couldn’t be updated due to compatibility issues and thus have automatically been deactivated. This has already changed. I just updated all of my installed addons (even from third party repositories) on my two computers.

yay -Qs kodi
local/kodi-common 19.0-6
    A software media player and entertainment hub for digital media
local/kodi-x11 19.0-6
    x11 kodi binary
local/p8-platform 2.1.0.1-4
    Platform support library used by libCEC and binary add-ons for Kodi